Bug 148828 - CUPS ghostscript pre-filtering improper default on laserjet 1300
CUPS ghostscript pre-filtering improper default on laserjet 1300
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 17:56 EST by Dan Mosedale
Modified: 2008-02-06 11:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 11:12:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Mosedale 2005-02-15 17:56:41 EST
Description of problem:

Setting up a new Laserjet 1300 defaults to having "GhostScript pre-filtering" in
the Driver Options panel in printconf set to "No pre-filtering."  This means
that applications which send a PostScript level which is too high for the
printer lose.  It would be a fine thing if the printer could be queried for its
postscript support level at config (or even run-time), and the pre-filtering set
appropriately.  FWIW, Gecko-based web-browsers have this problem.

Version-Release number of selected component (if applicable):

hal-cups-utils-0.5.2-8
cups-1.1.22-0.rc1.8.5
cups-libs-1.1.22-0.rc1.8.5
system-config-printer-0.6.116.1.1-1
system-config-printer-gui-0.6.116.1.1-1
desktop-printing-0.17-3
Comment 1 David Baron 2005-02-15 18:06:13 EST
It's a problem for Gecko-based browsers since we started using Xft for
Postscript printing, which was after the Firefox 1.0 / Mozilla 1.7
branchpoint:
https://bugzilla.mozilla.org/show_bug.cgi?id=190031
Comment 2 Matthew Miller 2006-07-10 17:50:45 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-06 11:12:33 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.